<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.0" xmlns="http://java.sun.com/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd">
	<persistence-unit name="jayeson.database" transaction-type="RESOURCE_LOCAL">

		<class>jayeson.database.AccessPermission</class>
		 <class>jayeson.database.AccessResource</class>
		 <class>jayeson.database.AccessResourceCategory</class>
		 <class>jayeson.database.AccessRole</class>
		 <class>jayeson.database.AccessRoleInheritance</class>
		 <class>jayeson.database.ActionPack</class>
		 <class>jayeson.database.AdminUser</class>
		 <class>jayeson.database.AgentUser</class>
		 <class>jayeson.database.AgentUserType</class>
		 <class>jayeson.database.Bet</class>
		 <class>jayeson.database.BetSettlement</class>
		 <class>jayeson.database.BettingAccount</class>
		 <class>jayeson.database.BettingModel</class>
		 <class>jayeson.database.BetUser</class>
		 <class>jayeson.database.BetUserSpecialCredit</class>
		 <class>jayeson.database.BetUserTransaction</class>
		 <class>jayeson.database.Currency</class>
		 <class>jayeson.database.CurrencyConversion</class>
		 <class>jayeson.database.CurrencyConversionPK</class>
		 <class>jayeson.database.DatabaseManager</class>
		 <class>jayeson.database.DatabaseManagerConfig</class>
		 <class>jayeson.database.FeedUser</class>
		 <class>jayeson.database.PAJoin$JoinKey</class>
		 <class>jayeson.database.PAJoin</class>
		 <class>jayeson.database.PersistenceUnitConfig</class>
		 <class>jayeson.database.Product</class>
		 <class>jayeson.database.ProductCategory</class>
		 <class>jayeson.database.Proxy</class>
		 <class>jayeson.database.PSJoin$JoinKey</class>
		 <class>jayeson.database.PSJoin</class>
		 <class>jayeson.database.Service</class>
		 <class>jayeson.database.ServiceCategory</class>
		 <class>jayeson.database.Sportbook</class>
		 <class>jayeson.database.BetAccountStatement</class>
		 <class>jayeson.database.UserStatement</class>
		 <class>jayeson.database.Transaction</class>
		 <class>jayeson.database.TransactionType</class>
		 <class>jayeson.database.User</class>
		 <class>jayeson.database.UserAccessRoleMap</class>
		 <class>jayeson.database.UserAccessRoleMapPK</class>
		 <class>jayeson.database.UserAction</class>
		 <class>jayeson.database.UserActivity</class>
		 <class>jayeson.database.UserNestedSet</class>
		 <class>jayeson.database.UserProduct</class>
		 <class>jayeson.database.UserProductPK</class>
		 <class>jayeson.database.UserStatus</class>
		 <class>jayeson.database.UserType</class>
		 <class>jayeson.database.newvodds.ModelTransaction</class>
		 <class>jayeson.database.newvodds.ModelTransactionType</class>
		 <class>jayeson.database.newvodds.ModelTransactionConverter</class>
		 <class>jayeson.database.FeedUser</class>
		 <class>jayeson.database.delivery.FeedRole</class>
		 <class>jayeson.database.delivery.FeedStreamPermission</class>
		 <class>jayeson.database.newvodds.PositionalModel</class>
		 <class>jayeson.database.newvodds.BettingModelExtraVodds</class>
         <class>jayeson.database.newvodds.DarkPoolBetInfo</class>
         <class>jayeson.database.newvodds.DPoolLiquidationMapping</class>
         <class>jayeson.database.newvodds.BettingModelAgentPtPl</class>
         <class>jayeson.database.newvodds.BetAgentPtPl</class>
         <class>jayeson.database.newvodds.StakePerMatchPK</class>
         <class>jayeson.database.newvodds.StakePerMatch</class>
         <class>jayeson.database.newvodds.VoddsBetUser</class>
         <class>jayeson.database.newvodds.BetUserSetting</class>
        <class>jayeson.database.newvodds.UserGame</class>
        <class>jayeson.database.newvodds.UserGameDetail</class>
        <class>jayeson.database.newvodds.UserGameTransaction</class>
		
		<properties>
                <!-- MYSQL config -->
                <property name="javax.persistence.jdbc.url" value="jdbc:mysql://{{ db_url }}/{{ db_schema }}?autoReconnect=true&amp;useUnicode=true&amp;characterEncoding=UTF-8"/>
                <property name="javax.persistence.jdbc.user" value="{{ db_user }}" />
                <property name="javax.persistence.jdbc.password" value="{{ db_password }}" />


                <!-- <property name="javax.persistence.jdbc.driver" value="com.mysql.jdbc.Driver"/>
                <property name="hibernate.dialect" value="org.hibernate.dialect.MySQLDialect" />
                <property name="hibernate.c3p0.min_size" value="3" />
                <property name="hibernate.c3p0.max_size" value="30" />
                <property name="hibernate.c3p0.timeout" value="600" />
                <property name="hibernate.c3p0.idle_test_period" value="300"/>
                <property name="hibernate.c3p0.checkoutTimeout" value="600" /> -->

                <property name="javax.persistence.jdbc.driver" value="com.mysql.jdbc.Driver"/>
                <property name="hibernate.c3p0.min_size" value="1" />
                <property name="hibernate.c3p0.max_size" value="100" />
                <property name="hibernate.c3p0.debugUnreturnedConnectionStackTraces" value="true"/>
                <property name="hibernate.dialect" value="org.hibernate.dialect.MySQLDialect" />
                <property name="hibernate.max_fetch_depth" value="3" />
                <property name="hibernate.c3p0.timeout" value="300" />
                <property name="hibernate.c3p0.maxStatementsPerConnection" value="50" />
                <property name="hibernate.c3p0.idle_test_period" value="10" />
                <property name="hibernate.c3p0.maxConnectionAge" value="300" />


        </properties>

	</persistence-unit>

</persistence>
